Uses of Record Class
ca.cdr.test.app.clients.AccessTokenResponse
Packages that use AccessTokenResponse
-
Uses of AccessTokenResponse in ca.cdr.test.app.clients
Methods in ca.cdr.test.app.clients that return AccessTokenResponseModifier and TypeMethodDescriptionOutboundSmartClient.clientCredentials(String theClientId, String theClientSecret, String... theScopes) Obtains an access token with the client credentials grant, authenticating with a client secret sent via HTTP Basic authentication.OutboundSmartClient.clientCredentialsWithAssertion(String theClientId, String theSignedJwtAssertion, String... theScopes) Obtains an access token with the client credentials grant, authenticating with a signed JWT client assertion, as SMART Backend Services clients do.static AccessTokenResponseAccessTokenResponse.fromJson(com.fasterxml.jackson.databind.JsonNode theResponse) Reads a token endpoint response body.OutboundSmartClient.jwtBearerWithAssertion(String theAuthorizationGrant, String theSignedJwtAssertion, String... theScopes)